package nz.ac.auckland.se281;

/**
 * 
 * You cannot modify this class!
 * 
 */
public enum MessageCli {

    // Task 1 messages
    HELLO("Hello! Hello!!"), //

    // General menu messages
    COMMAND_NOT_FOUND("Error! Command not found! (run 'help' for the list of available commands)"), //
    WRONG_ARGUMENT_COUNT("Error! Incorrect number of arguments provided"), //
    END("You closed the terminal. Goodbye."); //


    private String msg;

    MessageCli(String msg) {
        this.msg = msg;
    }

    public String getMessage(String... args) {
        String tmpMessage = msg;
        for (String arg : args) {
            tmpMessage = tmpMessage.replaceFirst("%s", arg);
        }
        return tmpMessage;
    }

    @Override
    public String toString() {
        return msg;
    }

    public void printMessage(String... args) {
        String tmpMessage = msg;
        for (String arg : args) {
            tmpMessage = tmpMessage.replaceFirst("%s", arg);
        }
        System.out.println(tmpMessage);
    }

}
